List funds
curl --request GET \
--url https://api.dealroom.app/data/investors/{id}/funds \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dealroom.app/data/investors/{id}/funds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dealroom.app/data/investors/{id}/funds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dealroom.app/data/investors/{id}/funds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dealroom.app/data/investors/{id}/funds"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dealroom.app/data/investors/{id}/funds")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dealroom.app/data/investors/{id}/funds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 20386,
"name": "Anterra F&A Ventures III",
"fund_type": "Venture Capital",
"amount": 92000000,
"amount_source": {
"amount": 100000000,
"currency": "CAD"
},
"announced_date": "2024-03-01",
"is_closed": false,
"source_url": "https://techfundingnews.com/anterra-closes-fund-iii/"
}
],
"page": {
"total": 123,
"limit": 123,
"offset": 123,
"next_cursor": "<string>",
"prev_cursor": "<string>"
},
"currency": "EUR"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "The request was malformed or failed validation.",
"details": null
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required — provide a valid bearer token.",
"details": null
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action.",
"details": null
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded — retry after the delay in the `Retry-After` header.",
"details": null
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "The service is temporarily unavailable.",
"details": null
}
}Investors
List funds
The individual fund vehicles this investor firm has raised (e.g. “Fund III”, $200M, 2024), newest first. amount is the fund size in the requested ?currency= (default USD); amount_source carries the original as-stored amount and native currency.
GET
/
data
/
investors
/
{id}
/
funds
List funds
curl --request GET \
--url https://api.dealroom.app/data/investors/{id}/funds \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dealroom.app/data/investors/{id}/funds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dealroom.app/data/investors/{id}/funds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dealroom.app/data/investors/{id}/funds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dealroom.app/data/investors/{id}/funds"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dealroom.app/data/investors/{id}/funds")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dealroom.app/data/investors/{id}/funds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 20386,
"name": "Anterra F&A Ventures III",
"fund_type": "Venture Capital",
"amount": 92000000,
"amount_source": {
"amount": 100000000,
"currency": "CAD"
},
"announced_date": "2024-03-01",
"is_closed": false,
"source_url": "https://techfundingnews.com/anterra-closes-fund-iii/"
}
],
"page": {
"total": 123,
"limit": 123,
"offset": 123,
"next_cursor": "<string>",
"prev_cursor": "<string>"
},
"currency": "EUR"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "The request was malformed or failed validation.",
"details": null
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required — provide a valid bearer token.",
"details": null
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action.",
"details": null
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded — retry after the delay in the `Retry-After` header.",
"details": null
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "The service is temporarily unavailable.",
"details": null
}
}Authorizations
oauth2bearerAuth
OAuth2 client-credentials flow against the Dealroom Auth0 tenant. Use the client_id / client_secret from a Programmatic API key. Tokens are valid for 1h — Swagger UI will reuse the same token across operations. Revoking or deactivating a key rejects it on the next request (within a ≤5-minute server-side cache window), not at token expiry.